Cannot load such file tiny_tds

Added by Ola Mallaug over 1 year ago

I get the following error and need some pointers.

@
C:\Redmine>bundle exec rake generate_secret_token --trace
rake aborted!
LoadError: cannot load such file -- tiny_tds/tiny_tds
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/tiny_tds-1.0.5-x64-mingw32/lib/tiny_tds.rb:22:in `require'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/tiny_tds-1.0.5-x64-mingw32/lib/tiny_tds.rb:22:in `rescue in <top (required)>'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/tiny_tds-1.0.5-x64-mingw32/lib/tiny_tds.rb:18:in `<top (required)>'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/bundler-1.16.4/lib/bundler/runtime.rb:81:in `require'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/bundler-1.16.4/lib/bundler/runtime.rb:81:in `block (2 levels) in require'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/bundler-1.16.4/lib/bundler/runtime.rb:76:in `each'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/bundler-1.16.4/lib/bundler/runtime.rb:76:in `block in require'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/bundler-1.16.4/lib/bundler/runtime.rb:65:in `each'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/bundler-1.16.4/lib/bundler/runtime.rb:65:in `require'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/bundler-1.16.4/lib/bundler.rb:114:in `require'
C:/Redmine/config/application.rb:5:in `<top (required)>'
C:/Redmine/Rakefile:5:in `require'
C:/Redmine/Rakefile:5:in `<top (required)>'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/rake-12.3.1/lib/rake/rake_module.rb:29:in `load'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/rake-12.3.1/lib/rake/rake_module.rb:29:in `load_rakefile'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/rake-12.3.1/lib/rake/application.rb:703:in `raw_load_rakefile'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/rake-12.3.1/lib/rake/application.rb:104:in `block in load_rakefile'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/rake-12.3.1/lib/rake/application.rb:186:in `standard_exception_handling'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/rake-12.3.1/lib/rake/application.rb:103:in `load_rakefile'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/rake-12.3.1/lib/rake/application.rb:82:in `block in run'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/rake-12.3.1/lib/rake/application.rb:186:in `standard_exception_handling'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/rake-12.3.1/lib/rake/application.rb:80:in `run'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/rake-12.3.1/exe/rake:27:in `<top (required)>'
C:/Ruby25-x64/bin/rake:23:in `load'
C:/Ruby25-x64/bin/rake:23:in `<main>'

Caused by:
LoadError: cannot load such file -- tiny_tds/2.5/tiny_tds
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/tiny_tds-1.0.5-x64-mingw32/lib/tiny_tds.rb:20:in `require'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/tiny_tds-1.0.5-x64-mingw32/lib/tiny_tds.rb:20:in `<top (required)>'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/bundler-1.16.4/lib/bundler/runtime.rb:81:in `require'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/bundler-1.16.4/lib/bundler/runtime.rb:81:in `block (2 levels) in require'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/bundler-1.16.4/lib/bundler/runtime.rb:76:in `each'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/bundler-1.16.4/lib/bundler/runtime.rb:76:in `block in require'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/bundler-1.16.4/lib/bundler/runtime.rb:65:in `each'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/bundler-1.16.4/lib/bundler/runtime.rb:65:in `require'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/bundler-1.16.4/lib/bundler.rb:114:in `require'
C:/Redmine/config/application.rb:5:in `<top (required)>'
C:/Redmine/Rakefile:5:in `require'
C:/Redmine/Rakefile:5:in `<top (required)>'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/rake-12.3.1/lib/rake/rake_module.rb:29:in `load'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/rake-12.3.1/lib/rake/rake_module.rb:29:in `load_rakefile'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/rake-12.3.1/lib/rake/application.rb:703:in `raw_load_rakefile'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/rake-12.3.1/lib/rake/application.rb:104:in `block in load_rakefile'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/rake-12.3.1/lib/rake/application.rb:186:in `standard_exception_handling'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/rake-12.3.1/lib/rake/application.rb:103:in `load_rakefile'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/rake-12.3.1/lib/rake/application.rb:82:in `block in run'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/rake-12.3.1/lib/rake/application.rb:186:in `standard_exception_handling'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/rake-12.3.1/lib/rake/application.rb:80:in `run'
C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/rake-12.3.1/exe/rake:27:in `<top (required)>'
C:/Ruby25-x64/bin/rake:23:in `load'
C:/Ruby25-x64/bin/rake:23:in `<main>'
@

Replies (2)

RE: Cannot load such file tiny_tds - Added by Ola Mallaug over 1 year ago

This helped:

- Installed tiny_tds-2.1.2
- Edited Gemfile
- changed RUBY_VERSION >= "2.0" ? "~> 1.0.5" to RUBY_VERSION >= "2.0" ? "~> 2.1.2"

RE: Cannot load such file tiny_tds - Added by Sławomir Adamski 7 months ago

I'm beginner. I have the same problem. I've installed tiny_tds-2.1.2. But I haven't RUBY_VERSION >= "2.0" ? "~> 1.0.5" in Gemfile. What I can do with that?

(1-2/2)